Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBA_String.cpp File Reference

`#include "CORBA_String.h"`
`#include "Managed_Types.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_wchar.h"`
`#include "ace/OS_Memory.h"`
`#include "ace/streams.h"`

Include dependency graph for CORBA_String.cpp:

## Functions
ostream & | operator<< (ostream &os, const CORBA::String_var &sv)
istream & | operator>> (istream &is, CORBA::String_var &sv)
ostream & | operator<< (ostream &os, CORBA::String_out &so)
istream & | operator>> (istream &is, CORBA::String_out &so)
ostream & | operator<< (ostream &os, const CORBA::WString_var &wsv)
istream & | operator>> (istream &is, CORBA::WString_var &wsv)
ostream & | operator<< (ostream &os, CORBA::WString_out &wso)
istream & | operator>> (istream &is, CORBA::WString_out &wso)

## Function Documentation

ostream& operator<< | ( | ostream & | os,
|  | CORBA::WString_out & | wso
| ) |

ostream& operator<< | ( | ostream & | os,
|  | const CORBA::WString_var & | wsv
| ) |

ostream& operator<< | ( | ostream & | os,
|  | CORBA::String_out & | so
| ) |

ostream& operator<< | ( | ostream & | os,
|  | const CORBA::String_var & | sv
| ) |

istream& operator>> | ( | istream & | is,
|  | CORBA::WString_out & | wso
| ) |

istream& operator>> | ( | istream & | is,
|  | CORBA::WString_var & | wsv
| ) |

istream& operator>> | ( | istream & | is,
|  | CORBA::String_out & | so
| ) |

istream& operator>> | ( | istream & | is,
|  | CORBA::String_var & | sv
| ) |